Get parameters
- Base URL
-
https://{kibana_url}
-
GET
/api/synthetics/params
Auth
Get a list of all parameters. You must have read privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.
<array> object[]
-
description
string
-
The description of the parameter. It is included in the response if the user has read-only permissions to the Synthetics app.
-
id
string
-
The unique identifier of the parameter.
-
key
string
-
The key of the parameter.
-
namespaces
string[]
-
The namespaces associated with the parameter. It is included in the response if the user has read-only permissions to the Synthetics app.
-
tags
string[]
-
An array of tags associated with the parameter. It is included in the response if the user has read-only permissions to the Synthetics app.
-
value
string
-
The value associated with the parameter. It will be included in the response if the user has write permissions.
Thank you for your feedback.